Bug 387831 - NTP Locks on boot if ethernet cable is disconnected
NTP Locks on boot if ethernet cable is disconnected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 17:49 EST by Rafael Vila
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Vila 2007-11-16 17:49:53 EST
Description of problem: Upon boot, NTPD locks up if the ethernet adapter is not 
active (cable not connected).  Eth0 and Wlan initialize however NTPD will not 
rely on the wireless connection for synchronization and the process will hang.


Version-Release number of selected component (if applicable): 2.6.22.9-91.fc7


How reproducible: 100%


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rafael Vila 2007-11-16 18:02:07 EST
I forgot to fill out the steps to reproduce; 1. Disconnect ethernet cable from 
the computer, 2. Start the system, 3. The system will not boot if the NTPD 
service is requested upon start-up

Actual results: System will not boot; hangs on NTPD

Expected results: Either synchronize from the wireless adapter or generate fail 
to sync message and continue boot process

Additional info: NVidia MCP55 Ethernet adapter on ASUS P5GD2 Delux
Comment 2 Miroslav Lichvar 2007-11-19 06:03:05 EST
Is "Synchronizing with time server:" the last printed message when it's locked?

If yes, you need to remove servers from /etc/ntp/step-tickers, or disable
"Synchronize system clock before starting service" in advanced options in
system-config-date. 
Comment 3 Brian Powell 2008-04-25 00:50:18 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.